%define req_esound_version	0.2.28
%define req_gnomevfs2_version	1.9.16
%define req_libbonobo_version	2.0.0
%define req_libxslt_version	1.0.18
%define api_version	2
%define lib_major	0
%define pkgname     libgnome

Summary: GNOME libraries
Name: %{pkgname}%{api_version}
Version: 2.2.0.1
Release: 2mdk
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.bz2
# (fc) 1.116.0-2mdk use Mdk default background
Patch1: libgnome-1.116.0-background.patch.bz2
# (fc) 2.0.2-3mdk Add schema for monospaced font (rawhide)
Patch2: libgnome-2.1.1-monospace.patch.bz2
# (fc) 2.0.2-4mdk fix location of gnome2-info2html,gnome2-man2html for gnome-vfs
Patch3: libgnome-2.0.2-libexecdir.patch.bz2
# (fc) 2.2.0.1-2mdk galaxy as default theme
Patch4: libgnome-2.2.0.1-galaxy.patch.bz2
License: LGPL
Group: System/Libraries
Url: http://www.gnome.org/
Requires: mandrake_desk >= 9.0-6mdk
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: libbzip2-devel
BuildRequires: libgnome-vfs2-devel
BuildRequires: esound-devel >= %{req_esound_version}
BuildRequires: libxslt-devel >= %{req_libxslt_version}
BuildRequires: gtk-doc
BuildRequires: libbonobo2_0-devel >= %{req_libbonobo_version}

%description
GNOME libraries


%package -n %{name}_%{lib_major}
Summary:	GNOME libraries
Group:		%{group}

Requires:	%{name} >= %{version}

%description -n %{name}_%{lib_major}
GNOME libraries

%package -n %{name}_%{lib_major}-devel
Summary:	Static libraries, include files for GNOME
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{name}_%{lib_major} = %{version}
Requires:	%{name} = %{version}
Requires:   libgnome-vfs2-devel
Requires:   esound-devel >= %{req_esound_version}
Requires:   libbonobo2_0-devel >= %{req_libbonobo_version}

%description -n %{name}_%{lib_major}-devel
GNOME libraries

%prep
%setup -q -n %{pkgname}-%{version}
%patch1 -p1 -b .background
%patch2 -p1 -b .monospace
%patch3 -p1 -b .libexecdir
%patch4 -p1 -b .galaxy

%build

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules/*.{la,a} \
  $RPM_BUILD_ROOT%{_libdir}/bonobo/monikers/*.{la,a}

%find_lang %{pkgname}-2.0

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for SCHEMA in desktop_gnome_accessibility_keyboard desktop_gnome_applications_browser desktop_gnome_applications_help_viewer desktop_gnome_applications_terminal desktop_gnome_applications_window_manager desktop_gnome_background desktop_gnome_file_views desktop_gnome_interface desktop_gnome_peripherals_keyboard desktop_gnome_peripherals_mouse desktop_gnome_sound desktop_gnome_url_handlers ; do
   gconftool-2 --makefile-install-rule  %{_sysconfdir}/gconf/schemas/$SCHEMA.schemas > /dev/null 2>&1
done
if [ ! -f /root/.gconf/desktop/gnome/background/%gconf.xml ]; then
  gconftool-2 --set /desktop/gnome/background/picture_filename --type=string /usr/share/mdk/backgrounds/root/default.png 
  gconftool-2 --set /desktop/gnome/background/primary_color --type=string "#B20003"
fi

%post -n %{name}_%{lib_major} -p /sbin/ldconfig
  
%postun -n %{name}_%{lib_major} -p /sbin/ldconfig

%files -f %{pkgname}-2.0.lang
%defattr(-,root,root)
%doc NEWS ChangeLog
%config(noreplace) %{_sysconfdir}/gconf/schemas/*
%config(noreplace) %{_sysconfdir}/gnome-vfs-2.0/modules/*
%config(noreplace) %{_sysconfdir}/sound/events/*
%{_libexecdir}/gnome2-db2html
%{_libexecdir}/gnome2-info2html
%{_libexecdir}/gnome2-man2html
%{_libdir}/bonobo/monikers/*.so
%{_libdir}/bonobo/servers/*
%{_libdir}/gnome-vfs-2.0/modules/*.so
%{_datadir}/sgml/docbook/*

%files -n %{name}_%{lib_major}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{name}_%{lib_major}-devel
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a


%changelog
* Wed Feb 19 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0.1-2mdk
- Patch4: galaxy is now default theme

* Thu Jan 23 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0.1-1mdk
- Release 2.2.0.1

* Wed Jan 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0

* Wed Jan 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.90-2mdk
- Rebuild for latest openssl

* Wed Jan  8 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.90-1mdk
- Release 2.1.90

* Tue Dec 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-1mdk
- Release 2.1.5

* Wed Dec 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-1mdk
- Release 2.1.4

* Thu Nov 28 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2-1mdk
- Release 2.1.2

* Mon Nov 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.1-1mdk
- Release 2.1.1
- Regenerate patch2

* Tue Oct  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.5-1mdk
- Release 2.0.5

* Mon Aug 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-4mdk
- Patch3 : fix location of gnome2-info2html and gnome2-man2html for 
  vfs method

* Fri Aug  9 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-3mdk
- Patch2 (Rawhide): add schema for monospace font

* Thu Aug  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-2mdk
- Update patch1 to use new Mdk background 
- Fix BuildRequires

* Tue Aug  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-1mdk
- Release 2.0.2

* Wed Jul 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-2mdk
- Bump esound requirement to 0.2.28

* Mon Jun 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1

* Fri Jun  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0

* Tue Jun  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.117.2-2mdk
- Rebuilt against libbonobo 2.0.0

* Tue Jun  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.117.2-1mdk
- Release 1.117.2
- Remove patch 0 (merged upstream)

* Thu May 30 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.117.0-2mdk
- Automated rebuild with gcc 3.1-1mdk

* Tue May 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.117.0-1mdk
- Release 1.117.0

* Mon May 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.116.0-3mdk
- Recompiled with esound support (don't know why it wasn't activated in
  previous release)

* Fri May  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.116.0-2mdk
- Update patch0
- Patch1: use default Mandrake background

* Tue Apr 30 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.116.0-1mdk
- Release 1.116.0

* Thu Apr 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.115.0-3mdk
- Patch0: fix conversion of bzip2 info files (bug 66334)

* Tue Apr 23 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.115.0-2mdk
- Release 1.115.0

* Wed Apr 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.114.0-2mdk
- Fix missing gnome-vfs module

* Tue Apr  2 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.114.0-1mdk
- Release 1.114.0
- Add missing schemas registration

* Fri Mar 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.113.0-2mdk
- Add explicit BuildRequires on libbonobo version

* Fri Mar 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.113.0-1mdk
- First Mdk package

